> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tenant's details



## OpenAPI

````yaml /api/partner-api/provisioning.json patch /v1/msp/admin/tenants/{tenantId}
openapi: 3.1.1
info:
  title: 'Cyrisma New Partner API: Provisioning'
  version: v1
servers:
  - url: https://{instance}.cyrisma.com/ta
    description: Tenant Authority, served under the partner's own CYRISMA instance host.
    variables:
      instance:
        default: ccnnnnnn
        description: The instance label of the tenant host issued to the partner.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: MSP Administration
paths:
  /v1/msp/admin/tenants/{tenantId}:
    patch:
      tags:
        - MSP Administration
      summary: Update a tenant's details
      operationId: UpdateMspAdminTenantV1
      parameters:
        - name: tenantId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantAdminMetadataPatch'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantAdminMetadataResponse'
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TenantAdminMetadataPatch:
      type: object
      properties:
        name:
          type:
            - 'null'
            - string
        short_name:
          type:
            - 'null'
            - string
        kind:
          type:
            - 'null'
            - string
        contact:
          type:
            - 'null'
            - string
        notification_email:
          type:
            - 'null'
            - string
        address_1:
          type:
            - 'null'
            - string
        address_2:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        state:
          type:
            - 'null'
            - string
        postal_code:
          type:
            - 'null'
            - string
        country_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        industry_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        employee_count:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        display_currency_code:
          type:
            - 'null'
            - string
        support_enabled:
          type:
            - 'null'
            - boolean
        assigned_technician_user_id:
          type:
            - 'null'
            - string
          format: uuid
        mdr_xdr_tenant_id:
          type:
            - 'null'
            - string
        trial:
          type:
            - 'null'
            - boolean
    TenantAdminMetadataResponse:
      required:
        - tenant_id
        - tenant_host
        - name
        - short_name
        - kind
        - status
        - scope_version
        - contact
        - notification_email
        - address_1
        - address_2
        - city
        - state
        - postal_code
        - country_id
        - industry_id
        - industry_name
        - tenant_kind_id
        - tenant_kind_name
        - employee_count
        - support_enabled
        - legacy_assigned_technician_user_id
        - assigned_technician_user_id
        - assigned_technician_name
        - assigned_technician_email
        - mdr_xdr_tenant_id
        - display_currency_code
        - provisioning_status
        - trial
      type: object
      properties:
        tenant_id:
          type: string
          format: uuid
        tenant_host:
          type: string
        name:
          type: string
        short_name:
          type:
            - 'null'
            - string
        kind:
          type: string
        status:
          type: string
        scope_version:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        contact:
          type:
            - 'null'
            - string
        notification_email:
          type:
            - 'null'
            - string
        address_1:
          type:
            - 'null'
            - string
        address_2:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        state:
          type:
            - 'null'
            - string
        postal_code:
          type:
            - 'null'
            - string
        country_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        industry_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        industry_name:
          type:
            - 'null'
            - string
        tenant_kind_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        tenant_kind_name:
          type:
            - 'null'
            - string
        employee_count:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        support_enabled:
          type:
            - 'null'
            - boolean
        legacy_assigned_technician_user_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        assigned_technician_user_id:
          type:
            - 'null'
            - string
          format: uuid
        assigned_technician_name:
          type:
            - 'null'
            - string
        assigned_technician_email:
          type:
            - 'null'
            - string
        mdr_xdr_tenant_id:
          type:
            - 'null'
            - string
        display_currency_code:
          type: string
        provisioning_status:
          type:
            - 'null'
            - string
        trial:
          type: boolean
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        A machine-client token from POST /v1/auth/client-token. Provisioning and
        user management need the pulse.write scope; reads need pulse.read.
      scheme: bearer
      bearerFormat: JWT

````